Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class RouterParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.RouterParams

    public class RouterParams

extends Object

Represents the router's parameters for a blend/multi-skill call center.

Field Summary
`protected AgentSelectionScore` | `agentSelectionScore`
`protected Boolean` | `allowCopies`
`protected List<CallTypeRoutingParams>` | `callTypeRouting`
`protected ContactSelectionScore` | `contactSelectionScore`
`protected NonNegativeDurationArray` | `delaysGT`
`protected IntArray` | `groupToTypeMap`
`protected BooleanArray` | `incidenceMatrixGT`
`protected BooleanArray` | `incidenceMatrixTG`
`protected Duration` | `localSpecOverflowDelay`
`protected Boolean` | `longestWaitingTime`
`protected Integer` | `numTestingPeriods`
`protected Boolean` | `overflowTransfer`
`protected PropertiesParams` | `properties`
`protected Integer` | `queueSizeThresh`
`protected double[]` | `queueWeights`
`protected Boolean` | `randomizedAgentSelection`
`protected Boolean` | `randomizedContactSelection`
`protected DoubleArray` | `ranksGT`
`protected List<DoubleArrayWithMinWaitingTime>` | `ranksGTUpdate`
`protected DoubleArray` | `ranksTG`
`protected String` | `routerPolicy`
`protected RoutingTableSources` | `routingTableSources`
`protected int[]` | `skillCounts`
`protected double[]` | `targetFracAgents`
`protected double[]` | `targetQueueRatio`
`protected Duration` | `testingPeriodDuration`
`protected IntArray` | `typeToGroupMap`
`protected DoubleArray` | `weightsGT`
`protected DoubleArray` | `weightsTG`

Constructor Summary
`RouterParams()`

Method Summary
`AgentSelectionScore` | `getAgentSelectionScore()` Gets the value of the agentSelectionScore property.
`List<CallTypeRoutingParams>` | `getCallTypeRouting()` Gets the value of the callTypeRouting property.
`ContactSelectionScore` | `getContactSelectionScore()` Gets the value of the contactSelectionScore property.
`NonNegativeDurationArray` | `getDelaysGT()` Gets the value of the delaysGT property.
`IntArray` | `getGroupToTypeMap()` Gets the value of the groupToTypeMap property.
`BooleanArray` | `getIncidenceMatrixGT()` Gets the value of the incidenceMatrixGT property.
`BooleanArray` | `getIncidenceMatrixTG()` Gets the value of the incidenceMatrixTG property.
`Duration` | `getLocalSpecOverflowDelay()` Gets the value of the localSpecOverflowDelay property.
`int` | `getNumTestingPeriods()` Gets the value of the numTestingPeriods property.
`PropertiesParams` | `getProperties()` Gets the value of the properties property.
`int` | `getQueueSizeThresh()` Gets the value of the queueSizeThresh property.
`double[]` | `getQueueWeights()`
`double` | `getQueueWeights(int idx)`
`int` | `getQueueWeightsLength()`
`DoubleArray` | `getRanksGT()` Gets the value of the ranksGT property.
`List<DoubleArrayWithMinWaitingTime>` | `getRanksGTUpdate()` Gets the value of the ranksGTUpdate property.
`DoubleArray` | `getRanksTG()` Gets the value of the ranksTG property.
`String` | `getRouterPolicy()` Gets the value of the routerPolicy property.
`RoutingTableSources` | `getRoutingTableSources()` Gets the value of the routingTableSources property.
`int[]` | `getSkillCounts()`
`int` | `getSkillCounts(int idx)`
`int` | `getSkillCountsLength()`
`double[]` | `getTargetFracAgents()`
`double` | `getTargetFracAgents(int idx)`
`int` | `getTargetFracAgentsLength()`
`double[]` | `getTargetQueueRatio()`
`double` | `getTargetQueueRatio(int idx)`
`int` | `getTargetQueueRatioLength()`
`Duration` | `getTestingPeriodDuration()` Gets the value of the testingPeriodDuration property.
`IntArray` | `getTypeToGroupMap()` Gets the value of the typeToGroupMap property.
`DoubleArray` | `getWeightsGT()` Gets the value of the weightsGT property.
`DoubleArray` | `getWeightsTG()` Gets the value of the weightsTG property.
`boolean` | `isAllowCopies()` Gets the value of the allowCopies property.
`boolean` | `isLongestWaitingTime()` Gets the value of the longestWaitingTime property.
`boolean` | `isOverflowTransfer()` Gets the value of the overflowTransfer property.
`boolean` | `isRandomizedAgentSelection()` Gets the value of the randomizedAgentSelection property.
`boolean` | `isRandomizedContactSelection()` Gets the value of the randomizedContactSelection property.
`boolean` | `isSetAgentSelectionScore()`
`boolean` | `isSetAllowCopies()`
`boolean` | `isSetCallTypeRouting()`
`boolean` | `isSetContactSelectionScore()`
`boolean` | `isSetDelaysGT()`
`boolean` | `isSetGroupToTypeMap()`
`boolean` | `isSetIncidenceMatrixGT()`
`boolean` | `isSetIncidenceMatrixTG()`
`boolean` | `isSetLocalSpecOverflowDelay()`
`boolean` | `isSetLongestWaitingTime()`
`boolean` | `isSetNumTestingPeriods()`
`boolean` | `isSetOverflowTransfer()`
`boolean` | `isSetProperties()`
`boolean` | `isSetQueueSizeThresh()`
`boolean` | `isSetQueueWeights()`
`boolean` | `isSetRandomizedAgentSelection()`
`boolean` | `isSetRandomizedContactSelection()`
`boolean` | `isSetRanksGT()`
`boolean` | `isSetRanksGTUpdate()`
`boolean` | `isSetRanksTG()`
`boolean` | `isSetRouterPolicy()`
`boolean` | `isSetRoutingTableSources()`
`boolean` | `isSetSkillCounts()`
`boolean` | `isSetTargetFracAgents()`
`boolean` | `isSetTargetQueueRatio()`
`boolean` | `isSetTestingPeriodDuration()`
`boolean` | `isSetTypeToGroupMap()`
`boolean` | `isSetWeightsGT()`
`boolean` | `isSetWeightsTG()`
`void` | `setAgentSelectionScore(AgentSelectionScore value)` Sets the value of the agentSelectionScore property.
`void` | `setAllowCopies(boolean value)` Sets the value of the allowCopies property.
`void` | `setContactSelectionScore(ContactSelectionScore value)` Sets the value of the contactSelectionScore property.
`void` | `setDelaysGT(NonNegativeDurationArray value)` Sets the value of the delaysGT property.
`void` | `setGroupToTypeMap(IntArray value)` Sets the value of the groupToTypeMap property.
`void` | `setIncidenceMatrixGT(BooleanArray value)` Sets the value of the incidenceMatrixGT property.
`void` | `setIncidenceMatrixTG(BooleanArray value)` Sets the value of the incidenceMatrixTG property.
`void` | `setLocalSpecOverflowDelay(Duration value)` Sets the value of the localSpecOverflowDelay property.
`void` | `setLongestWaitingTime(boolean value)` Sets the value of the longestWaitingTime property.
`void` | `setNumTestingPeriods(int value)` Sets the value of the numTestingPeriods property.
`void` | `setOverflowTransfer(boolean value)` Sets the value of the overflowTransfer property.
`void` | `setProperties(PropertiesParams value)` Sets the value of the properties property.
`void` | `setQueueSizeThresh(int value)` Sets the value of the queueSizeThresh property.
`void` | `setQueueWeights(double[] values)`
`double` | `setQueueWeights(int idx, double value)`
`void` | `setRandomizedAgentSelection(boolean value)` Sets the value of the randomizedAgentSelection property.
`void` | `setRandomizedContactSelection(boolean value)` Sets the value of the randomizedContactSelection property.
`void` | `setRanksGT(DoubleArray value)` Sets the value of the ranksGT property.
`void` | `setRanksTG(DoubleArray value)` Sets the value of the ranksTG property.
`void` | `setRouterPolicy(String value)` Sets the value of the routerPolicy property.
`void` | `setRoutingTableSources(RoutingTableSources value)` Sets the value of the routingTableSources property.
`void` | `setSkillCounts(int[] values)`
`int` | `setSkillCounts(int idx, int value)`
`void` | `setTargetFracAgents(double[] values)`
`double` | `setTargetFracAgents(int idx, double value)`
`void` | `setTargetQueueRatio(double[] values)`
`double` | `setTargetQueueRatio(int idx, double value)`
`void` | `setTestingPeriodDuration(Duration value)` Sets the value of the testingPeriodDuration property.
`void` | `setTypeToGroupMap(IntArray value)` Sets the value of the typeToGroupMap property.
`void` | `setWeightsGT(DoubleArray value)` Sets the value of the weightsGT property.
`void` | `setWeightsTG(DoubleArray value)` Sets the value of the weightsTG property.
`void` | `unsetAllowCopies()`
`void` | `unsetCallTypeRouting()`
`void` | `unsetLongestWaitingTime()`
`void` | `unsetNumTestingPeriods()`
`void` | `unsetOverflowTransfer()`
`void` | `unsetQueueSizeThresh()`
`void` | `unsetQueueWeights()`
`void` | `unsetRandomizedAgentSelection()`
`void` | `unsetRandomizedContactSelection()`
`void` | `unsetRanksGTUpdate()`
`void` | `unsetSkillCounts()`
`void` | `unsetTargetFracAgents()`
`void` | `unsetTargetQueueRatio()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected PropertiesParams properties

### typeToGroupMap

    protected IntArray typeToGroupMap

### groupToTypeMap

    protected IntArray groupToTypeMap

### ranksTG

    protected DoubleArray ranksTG

### ranksGT

    protected DoubleArray ranksGT

### ranksGTUpdate

    protected List<DoubleArrayWithMinWaitingTime> ranksGTUpdate

### weightsTG

    protected DoubleArray weightsTG

### weightsGT

    protected DoubleArray weightsGT

### delaysGT

    protected NonNegativeDurationArray delaysGT

### incidenceMatrixTG

    protected BooleanArray incidenceMatrixTG

### incidenceMatrixGT

    protected BooleanArray incidenceMatrixGT

### queueWeights

    protected double[] queueWeights

### skillCounts

    protected int[] skillCounts

### targetFracAgents

    protected double[] targetFracAgents

### targetQueueRatio

    protected double[] targetQueueRatio

### routingTableSources

    protected RoutingTableSources routingTableSources

### callTypeRouting

    protected List<CallTypeRoutingParams> callTypeRouting

### routerPolicy

    protected String routerPolicy

### localSpecOverflowDelay

    protected Duration localSpecOverflowDelay

### overflowTransfer

    protected Boolean overflowTransfer

### longestWaitingTime

    protected Boolean longestWaitingTime

### numTestingPeriods

    protected Integer numTestingPeriods

### testingPeriodDuration

    protected Duration testingPeriodDuration

### queueSizeThresh

    protected Integer queueSizeThresh

### allowCopies

    protected Boolean allowCopies

### randomizedAgentSelection

    protected Boolean randomizedAgentSelection

### randomizedContactSelection

    protected Boolean randomizedContactSelection

### agentSelectionScore

    protected AgentSelectionScore agentSelectionScore

### contactSelectionScore

    protected ContactSelectionScore contactSelectionScore

Constructor Detail

### RouterParams

    public RouterParams()

Method Detail

### getProperties

    public PropertiesParams getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesParams`

### setProperties

    public void setProperties(PropertiesParams value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesParams`

### isSetProperties

    public boolean isSetProperties()

### getTypeToGroupMap

    public IntArray getTypeToGroupMap()

  Gets the value of the typeToGroupMap property.

  Returns:
    possible object is `IntArray`

### setTypeToGroupMap

    public void setTypeToGroupMap(IntArray value)

  Sets the value of the typeToGroupMap property.

  Parameters:
    `value` - allowed object is `IntArray`

### isSetTypeToGroupMap

    public boolean isSetTypeToGroupMap()

### getGroupToTypeMap

    public IntArray getGroupToTypeMap()

  Gets the value of the groupToTypeMap property.

  Returns:
    possible object is `IntArray`

### setGroupToTypeMap

    public void setGroupToTypeMap(IntArray value)

  Sets the value of the groupToTypeMap property.

  Parameters:
    `value` - allowed object is `IntArray`

### isSetGroupToTypeMap

    public boolean isSetGroupToTypeMap()

### getRanksTG

    public DoubleArray getRanksTG()

  Gets the value of the ranksTG property.

  Returns:
    possible object is `DoubleArray`

### setRanksTG

    public void setRanksTG(DoubleArray value)

  Sets the value of the ranksTG property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetRanksTG

    public boolean isSetRanksTG()

### getRanksGT

    public DoubleArray getRanksGT()

  Gets the value of the ranksGT property.

  Returns:
    possible object is `DoubleArray`

### setRanksGT

    public void setRanksGT(DoubleArray value)

  Sets the value of the ranksGT property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetRanksGT

    public boolean isSetRanksGT()

### getRanksGTUpdate

    public List<DoubleArrayWithMinWaitingTime> getRanksGTUpdate()

  Gets the value of the ranksGTUpdate property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ranksGTUpdate property.

  For example, to add a new item, do as follows:

          getRanksGTUpdate().add(newItem);

  Objects of the following type(s) are allowed in the list `DoubleArrayWithMinWaitingTime`

### isSetRanksGTUpdate

    public boolean isSetRanksGTUpdate()

### unsetRanksGTUpdate

    public void unsetRanksGTUpdate()

### getWeightsTG

    public DoubleArray getWeightsTG()

  Gets the value of the weightsTG property.

  Returns:
    possible object is `DoubleArray`

### setWeightsTG

    public void setWeightsTG(DoubleArray value)

  Sets the value of the weightsTG property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetWeightsTG

    public boolean isSetWeightsTG()

### getWeightsGT

    public DoubleArray getWeightsGT()

  Gets the value of the weightsGT property.

  Returns:
    possible object is `DoubleArray`

### setWeightsGT

    public void setWeightsGT(DoubleArray value)

  Sets the value of the weightsGT property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetWeightsGT

    public boolean isSetWeightsGT()

### getDelaysGT

    public NonNegativeDurationArray getDelaysGT()

  Gets the value of the delaysGT property.

  Returns:
    possible object is `NonNegativeDurationArray`

### setDelaysGT

    public void setDelaysGT(NonNegativeDurationArray value)

  Sets the value of the delaysGT property.

  Parameters:
    `value` - allowed object is `NonNegativeDurationArray`

### isSetDelaysGT

    public boolean isSetDelaysGT()

### getIncidenceMatrixTG

    public BooleanArray getIncidenceMatrixTG()

  Gets the value of the incidenceMatrixTG property.

  Returns:
    possible object is `BooleanArray`

### setIncidenceMatrixTG

    public void setIncidenceMatrixTG(BooleanArray value)

  Sets the value of the incidenceMatrixTG property.

  Parameters:
    `value` - allowed object is `BooleanArray`

### isSetIncidenceMatrixTG

    public boolean isSetIncidenceMatrixTG()

### getIncidenceMatrixGT

    public BooleanArray getIncidenceMatrixGT()

  Gets the value of the incidenceMatrixGT property.

  Returns:
    possible object is `BooleanArray`

### setIncidenceMatrixGT

    public void setIncidenceMatrixGT(BooleanArray value)

  Sets the value of the incidenceMatrixGT property.

  Parameters:
    `value` - allowed object is `BooleanArray`

### isSetIncidenceMatrixGT

    public boolean isSetIncidenceMatrixGT()

### getQueueWeights

    public double[] getQueueWeights()

  Returns:
    array of `Double`

### getQueueWeights

    public double getQueueWeights(int idx)

  Returns:
    one of `Double`

### getQueueWeightsLength

    public int getQueueWeightsLength()

### setQueueWeights

    public void setQueueWeights(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setQueueWeights

    public double setQueueWeights(int idx,
                                  double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetQueueWeights

    public boolean isSetQueueWeights()

### unsetQueueWeights

    public void unsetQueueWeights()

### getSkillCounts

    public int[] getSkillCounts()

  Returns:
    array of `Integer`

### getSkillCounts

    public int getSkillCounts(int idx)

  Returns:
    one of `Integer`

### getSkillCountsLength

    public int getSkillCountsLength()

### setSkillCounts

    public void setSkillCounts(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setSkillCounts

    public int setSkillCounts(int idx,
                              int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetSkillCounts

    public boolean isSetSkillCounts()

### unsetSkillCounts

    public void unsetSkillCounts()

### getTargetFracAgents

    public double[] getTargetFracAgents()

  Returns:
    array of `Double`

### getTargetFracAgents

    public double getTargetFracAgents(int idx)

  Returns:
    one of `Double`

### getTargetFracAgentsLength

    public int getTargetFracAgentsLength()

### setTargetFracAgents

    public void setTargetFracAgents(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setTargetFracAgents

    public double setTargetFracAgents(int idx,
                                      double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetTargetFracAgents

    public boolean isSetTargetFracAgents()

### unsetTargetFracAgents

    public void unsetTargetFracAgents()

### getTargetQueueRatio

    public double[] getTargetQueueRatio()

  Returns:
    array of `Double`

### getTargetQueueRatio

    public double getTargetQueueRatio(int idx)

  Returns:
    one of `Double`

### getTargetQueueRatioLength

    public int getTargetQueueRatioLength()

### setTargetQueueRatio

    public void setTargetQueueRatio(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setTargetQueueRatio

    public double setTargetQueueRatio(int idx,
                                      double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetTargetQueueRatio

    public boolean isSetTargetQueueRatio()

### unsetTargetQueueRatio

    public void unsetTargetQueueRatio()

### getRoutingTableSources

    public RoutingTableSources getRoutingTableSources()

  Gets the value of the routingTableSources property.

  Returns:
    possible object is `RoutingTableSources`

### setRoutingTableSources

    public void setRoutingTableSources(RoutingTableSources value)

  Sets the value of the routingTableSources property.

  Parameters:
    `value` - allowed object is `RoutingTableSources`

### isSetRoutingTableSources

    public boolean isSetRoutingTableSources()

### getCallTypeRouting

    public List<CallTypeRoutingParams> getCallTypeRouting()

  Gets the value of the callTypeRouting property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the callTypeRouting property.

  For example, to add a new item, do as follows:

          getCallTypeRouting().add(newItem);

  Objects of the following type(s) are allowed in the list `CallTypeRoutingParams`

### isSetCallTypeRouting

    public boolean isSetCallTypeRouting()

### unsetCallTypeRouting

    public void unsetCallTypeRouting()

### getRouterPolicy

    public String getRouterPolicy()

  Gets the value of the routerPolicy property.

  Returns:
    possible object is `String`

### setRouterPolicy

    public void setRouterPolicy(String value)

  Sets the value of the routerPolicy property.

  Parameters:
    `value` - allowed object is `String`

### isSetRouterPolicy

    public boolean isSetRouterPolicy()

### getLocalSpecOverflowDelay

    public Duration getLocalSpecOverflowDelay()

  Gets the value of the localSpecOverflowDelay property.

  Returns:
    possible object is `Duration`

### setLocalSpecOverflowDelay

    public void setLocalSpecOverflowDelay(Duration value)

  Sets the value of the localSpecOverflowDelay property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetLocalSpecOverflowDelay

    public boolean isSetLocalSpecOverflowDelay()

### isOverflowTransfer

    public boolean isOverflowTransfer()

  Gets the value of the overflowTransfer property.

  Returns:
    possible object is `Boolean`

### setOverflowTransfer

    public void setOverflowTransfer(boolean value)

  Sets the value of the overflowTransfer property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetOverflowTransfer

    public boolean isSetOverflowTransfer()

### unsetOverflowTransfer

    public void unsetOverflowTransfer()

### isLongestWaitingTime

    public boolean isLongestWaitingTime()

  Gets the value of the longestWaitingTime property.

  Returns:
    possible object is `Boolean`

### setLongestWaitingTime

    public void setLongestWaitingTime(boolean value)

  Sets the value of the longestWaitingTime property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetLongestWaitingTime

    public boolean isSetLongestWaitingTime()

### unsetLongestWaitingTime

    public void unsetLongestWaitingTime()

### getNumTestingPeriods

    public int getNumTestingPeriods()

  Gets the value of the numTestingPeriods property.

  Returns:
    possible object is `Integer`

### setNumTestingPeriods

    public void setNumTestingPeriods(int value)

  Sets the value of the numTestingPeriods property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumTestingPeriods

    public boolean isSetNumTestingPeriods()

### unsetNumTestingPeriods

    public void unsetNumTestingPeriods()

### getTestingPeriodDuration

    public Duration getTestingPeriodDuration()

  Gets the value of the testingPeriodDuration property.

  Returns:
    possible object is `Duration`

### setTestingPeriodDuration

    public void setTestingPeriodDuration(Duration value)

  Sets the value of the testingPeriodDuration property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetTestingPeriodDuration

    public boolean isSetTestingPeriodDuration()

### getQueueSizeThresh

    public int getQueueSizeThresh()

  Gets the value of the queueSizeThresh property.

  Returns:
    possible object is `Integer`

### setQueueSizeThresh

    public void setQueueSizeThresh(int value)

  Sets the value of the queueSizeThresh property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetQueueSizeThresh

    public boolean isSetQueueSizeThresh()

### unsetQueueSizeThresh

    public void unsetQueueSizeThresh()

### isAllowCopies

    public boolean isAllowCopies()

  Gets the value of the allowCopies property.

  Returns:
    possible object is `Boolean`

### setAllowCopies

    public void setAllowCopies(boolean value)

  Sets the value of the allowCopies property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetAllowCopies

    public boolean isSetAllowCopies()

### unsetAllowCopies

    public void unsetAllowCopies()

### isRandomizedAgentSelection

    public boolean isRandomizedAgentSelection()

  Gets the value of the randomizedAgentSelection property.

  Returns:
    possible object is `Boolean`

### setRandomizedAgentSelection

    public void setRandomizedAgentSelection(boolean value)

  Sets the value of the randomizedAgentSelection property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetRandomizedAgentSelection

    public boolean isSetRandomizedAgentSelection()

### unsetRandomizedAgentSelection

    public void unsetRandomizedAgentSelection()

### isRandomizedContactSelection

    public boolean isRandomizedContactSelection()

  Gets the value of the randomizedContactSelection property.

  Returns:
    possible object is `Boolean`

### setRandomizedContactSelection

    public void setRandomizedContactSelection(boolean value)

  Sets the value of the randomizedContactSelection property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetRandomizedContactSelection

    public boolean isSetRandomizedContactSelection()

### unsetRandomizedContactSelection

    public void unsetRandomizedContactSelection()

### getAgentSelectionScore

    public AgentSelectionScore getAgentSelectionScore()

  Gets the value of the agentSelectionScore property.

  Returns:
    possible object is `AgentSelectionScore`

### setAgentSelectionScore

    public void setAgentSelectionScore(AgentSelectionScore value)

  Sets the value of the agentSelectionScore property.

  Parameters:
    `value` - allowed object is `AgentSelectionScore`

### isSetAgentSelectionScore

    public boolean isSetAgentSelectionScore()

### getContactSelectionScore

    public ContactSelectionScore getContactSelectionScore()

  Gets the value of the contactSelectionScore property.

  Returns:
    possible object is `ContactSelectionScore`

### setContactSelectionScore

    public void setContactSelectionScore(ContactSelectionScore value)

  Sets the value of the contactSelectionScore property.

  Parameters:
    `value` - allowed object is `ContactSelectionScore`

### isSetContactSelectionScore

    public boolean isSetContactSelectionScore()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.